## gcompris-qt 25.0

=== debian/changelog ===
gcompris-qt (25.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release:
    - the switch to Qt 6 also means a better Wayland support (optimistically
      closes: #995009)
  * Update the patches:
    - disable-openssl.diff: refresh/simplify
    - tests-no-voices.diff: drop, no more needed
  * Backport upstream commit 76b3d30f5829d8589858448d56b50c9f5e02ebb9 to fix
    the installation directory of the Docbook documentation; patch
    upstream_cmake-fix-variable-of-installation-directory-for-doc.patch.
  * Update the build dependencies following the port to Qt 6:
    - remove libkf5doctools-dev, libqt5charts5-dev, libqt5sensors5-dev,
      libqt5svg5-dev, qml-module-qtgraphicaleffects, qml-module-qtmultimedia,
      qt5-qmake, qtdeclarative5-dev, qtmultimedia5-dev, qtquickcontrols2-5-dev,
      qttools5-dev, and qttools5-dev-tools
    - add libkf6doctools-dev, qt6-base-dev, qt6-base-private-dev,
      qt6-charts-dev, qt6-declarative-dev, qt6-declarative-private-dev,
      qt6-multimedia-dev, qt6-sensors-dev, qt6-svg-dev, qt6-tools-dev,
      qt6-wayland-dev, and qt6-wayland-private-dev
  * Update the other build dependencies according to the upstream build system:
    - bump cmake to 3.16
  * Update the runtime dependencies:
    - drop libqt5multimedia5-plugins, qml-module-qtgraphicaleffects,
      qml-module-qtmultimedia, qml-module-qtquick-controls,
      qml-module-qtquick-controls2, qml-module-qtquick-particles2, and
      qt5-image-formats-plugins
    - add qml6-module-qtcharts, qml6-module-qtmultimedia, qml6-module-qtquick,
      qml6-module-qtquick-controls, qml6-module-qtquick-effects,
      qml6-module-qtquick-layouts, qml6-module-qtquick-particles,
      qml6-module-qtquick-shapes, qml6-module-qtquick-window,
      qml6-module-qtsensors, and qt6-image-formats-plugins
  * Stop exporting QT_SELECT in debian/rules, no more needed now.
  * Switch the kf5 dh addon to kf6.
  * Switch the cmake variable KDE_INSTALL_BINDIR to CMAKE_INSTALL_BINDIR
    - also update debian/gcompris-qt.install, as it does not need to relocate
      the main executable anymore
  * Because of the switch to Qt 6, there is no more alternative QtGui
    dependency; hence this closes: #1051267.
  * Add qt6-svg-plugins as dependency to ensure that SVG images are handled.
    (Closes: #968078)
  * Fix cleaning: (Closes: #1044516)
    - drop the removal of .qrc files, as they are generated only in the build
      directory
    - move src/activities/activities_out.txt to debian/clean
    - drop the execute_after_override_dh_auto_clean, wrongly named and thus
      not used (broken by me in 1.1-1, oops)

 -- Pino Toscano <pino@debian.org>  Sun, 02 Feb 2025 11:40:33 +0100

## gcompris-qt 25.0.12

=== docs/docbook/CMakeLists.txt ===
#=============================================================================
# SPDX-FileCopyrightText: 2015 Burkhard Lück <lueck@hube-lueck.de>
#
# SPDX-License-Identifier: BSD-2-Clause
#=============================================================================
########### install files ###############
#
#
kdoctools_create_handbook(index.docbook INSTALL_DESTINATION ${KDE_INSTALL_DOCBUNDLEDIR}/en SUBDIR gcompris-qt)

=== platforms/ubuntutouch/CMakeLists.txt ===
#=============================================================================
# SPDX-FileCopyrightText: 2020 Lionel Duboeuf <lduboeuf@ouvaton.org>
#
# SPDX-License-Identifier: BSD-3-Clause
#=============================================================================
message("Building for Ubuntu Touch")
add_definitions(-DUBUNTUTOUCH)

# Get Architecture triplet
if(DEFINED ENV{ARCH})
    set(CLICK_ARCH "$ENV{ARCH}")
else()
    execute_process(
        COMMAND dpkg-architecture -qDEB_HOST_ARCH
        OUTPUT_VARIABLE CLICK_ARCH
        OUTPUT_STRIP_TRAILING_WHITESPACE
    )
endif()

configure_file(manifest.json.in ${CMAKE_CURRENT_BINARY_DIR}/manifest.json)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/manifest.json DESTINATION /)
install(FILES gcompris.apparmor DESTINATION /)
install(FILES gcompris.png DESTINATION /)
install(FILES gcompris.desktop DESTINATION /)

=== src/core/CMakeLists.txt ===
#=============================================================================
# SPDX-FileCopyrightText: 2014 Johnny Jazeix <jazeix@gmail.com>
#
# SPDX-License-Identifier: BSD-3-Clause
#=============================================================================
include(qt_helper)

configure_file(config.h.in "${CMAKE_CURRENT_BINARY_DIR}/config.h" @ONLY)

if(WITH_KIOSK_MODE)
  add_definitions(-DWITH_KIOSK_MODE)
endif()

if (UBUNTU_TOUCH)
  add_definitions(-DUBUNTUTOUCH)
endif()

set(gcompris_SRCS
  ActivityInfo.cpp
  ActivityInfo.h
  ActivityInfoTree.cpp
  ActivityInfoTree.h
  ApplicationInfo.cpp
  ApplicationInfo.h
  ApplicationSettings.cpp
  ApplicationSettings.h
  File.cpp
  File.h
  Dataset.cpp
  Dataset.h
  Directory.cpp
  Directory.h
  DownloadManager.cpp
  DownloadManager.h
  GComprisPlugin.cpp
  GComprisPlugin.h
  main.cpp
  config.h.in
  synth/ADSRenvelope.cpp
  synth/ADSRenvelope.h
  synth/GSynth.cpp
  synth/GSynth.h
  synth/linearSynthesis.cpp
  synth/linearSynthesis.h
  synth/modulation.cpp
  synth/modulation.h
  synth/generator.cpp
  synth/generator.h
  synth/preset.h
  synth/preset.cpp
  synth/waveform.cpp
  synth/waveform.h
)

if(ANDROID)
  list(APPEND gcompris_SRCS ApplicationAndroid.cpp)
else()
  list(APPEND gcompris_SRCS ApplicationInfoDefault.cpp)
endif()

# Resources
set(GCOMPRIS_RESOURCES "${PROJECT_SOURCE_DIR}/installer")
if(CMAKE_HOST_WIN32)
  set(gcompris_icon GCompris.ico)
  set(gcompris_RES
    ${GCOMPRIS_RESOURCES}/${gcompris_icon}
    GCompris.rc
  )
elseif(CMAKE_HOST_APPLE)
  set(gcompris_icon GCompris.icns)
  set(gcompris_RES ${GCOMPRIS_RESOURCES}/${gcompris_icon})
  set_source_files_properties(${gcompris_RES} PROPERTIES MACOSX_PACKAGE_LOCATION "Resources")
endif()

set(used_qt_modules ${QT_MAJOR}::Qml ${QT_MAJOR}::Quick ${QT_MAJOR}::Widgets ${QT_MAJOR}::Gui ${QT_MAJOR}::Multimedia ${QT_MAJOR}::Core ${QT_MAJOR}::Svg ${QT_MAJOR}::Sensors ${QT_MAJOR}::QuickControls2 ${QT_MAJOR}::QuickTemplates2 ${QT_MAJOR}::Charts ${QT_MAJOR}::QmlWorkerScript ${QT_MAJOR}::CorePrivate)

if(TARGET ${QT_MAJOR}::QuickControls2Basic)
  set(used_qt_modules ${used_qt_modules} ${QT_MAJOR}::QuickControls2Basic ${QT_MAJOR}::QuickControls2BasicPrivate)
  # This should not be needed! But for some reason, on windows it does not find
  # automatically the library so we need to install it manually
  if(WIN32)
    get_target_property(QuickControls2BasicLibrary ${QT_MAJOR}::QuickControls2Basic IMPORTED_LOCATION)
    install(FILES ${QuickControls2BasicLibrary} DESTINATION ${CMAKE_INSTALL_BINDIR})
  endif()
endif()

if(TARGET ${QT_MAJOR}::WaylandClient)
    set(used_qt_modules ${used_qt_modules} ${QT_MAJOR}::WaylandClient ${QT_MAJOR}::WaylandClientPrivate)
endif()

if(ANDROID)
  add_library(${GCOMPRIS_EXECUTABLE_NAME} SHARED ${gcompris_SRCS})
elseif(CMAKE_HOST_APPLE)
  add_executable(${GCOMPRIS_EXECUTABLE_NAME} MACOSX_BUNDLE ${gcompris_SRCS} ${gcompris_RES})
elseif(CMAKE_HOST_WIN32)
  add_executable(${GCOMPRIS_EXECUTABLE_NAME} WIN32 ${gcompris_SRCS} ${gcompris_RES})
else()
  add_executable(${GCOMPRIS_EXECUTABLE_NAME} ${gcompris_SRCS} ${gcompris_RES})
endif()

# only build the lib for testing purpose
if(BUILD_TESTING)
  if(WIN32)
    add_library(gcompris_core STATIC ${gcompris_SRCS})
  else()
    add_library(gcompris_core SHARED ${gcompris_SRCS})
  endif()
  target_link_libraries(gcompris_core ${used_qt_modules})
endif()

target_link_libraries(${GCOMPRIS_EXECUTABLE_NAME} ${used_qt_modules})

if(WITH_RCC)
  GCOMPRIS_ADD_RCC(core
    QML_FILES
    *.qml
    *.js
    RESOURCES
    resource/*.${COMPRESSED_AUDIO}
    resource/*.gif
    resource/*.png
    resource/*.svg
    resource/*.pem
    resource/bonus/*
    resource/sounds/*
    resource/fonts/*.*
    qmldir
    COPYING
  )
else()
  add_library(core SHARED)
  file(GLOB core_qml_files RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} *.qml *.js)
  file(GLOB core_resources_files RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} resource/*.${COMPRESSED_AUDIO} resource/*.gif resource/*.png resource/*.svg resource/*.pem resource/bonus/* resource/sounds/* resource/fonts/*.*)

  set_source_files_properties(GCSingletonFontLoader.qml PROPERTIES
    QT_QML_SINGLETON_TYPE TRUE
    )
  qt_add_qml_module(
    core
    URI core
    RESOURCE_PREFIX /gcompris/src/
    VERSION 1.0
    QML_FILES
    ${core_qml_files}
    RESOURCES
    ${core_resources_files}
    )
  target_link_libraries(${GCOMPRIS_EXECUTABLE_NAME} core)
endif()

if(ANDROID)
  set_property(TARGET ${GCOMPRIS_EXECUTABLE_NAME} PROPERTY SUFFIX "_${CMAKE_ANDROID_ARCH_ABI}.so")
endif()
# Installation
# ============

install(TARGETS ${GCOMPRIS_EXECUTABLE_NAME}
  ARCHIVE DESTINATION ${CMAKE_INSTALL_BINDIR}
  RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
  LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}
  BUNDLE DESTINATION .)

if(BUILD_STANDALONE)
  # Qt plugins to install
  set(_qt_plugins "")

  set(default_plugins ${QT_MAJOR}::QSvgPlugin ${QT_MAJOR}::QWebpPlugin ${QT_MAJOR}::QGifPlugin ${QT_MAJOR}::genericSensorPlugin ${QT_MAJOR}::QtSensorGesturePlugin ${QT_MAJOR}::QShakeSensorGesturePlugin)
  if(WIN32)
    set(default_plugins ${default_plugins} ${QT_MAJOR}::QICOPlugin ${QT_MAJOR}::QWindowsIntegrationPlugin ${QT_MAJOR}::QWindowsAudioPlugin ${QT_MAJOR}::AudioCaptureServicePlugin ${QT_MAJOR}::DSServicePlugin)
  elseif(ANDROID)
    set(default_plugins ${default_plugins} ${QT_MAJOR}::QAndroidIntegrationPlugin)
  elseif(APPLE)
    set(default_plugins ${default_plugins} ${QT_MAJOR}::QICNSPlugin ${QT_MAJOR}::QTgaPlugin ${QT_MAJOR}::QTiffPlugin ${QT_MAJOR}::QCocoaIntegrationPlugin)
  else()
    set(default_plugins ${default_plugins} ${QT_MAJOR}::QComposePlatformInputContextPlugin ${QT_MAJOR}::QXcbIntegrationPlugin ${QT_MAJOR}::QXcbEglIntegrationPlugin ${QT_MAJOR}::QXcbGlxIntegrationPlugin ${QT_MAJOR}::QAlsaPlugin ${QT_MAJOR}::QPulseAudioPlugin ${QT_MAJOR}::QWaylandIntegrationPlugin ${QT_MAJOR}::QWaylandXdgShellIntegrationPlugin ${QT_MAJOR}::QWaylandEglPlatformIntegrationPlugin ${QT_MAJOR}::QWaylandEglClientBufferPlugin)
  endif()

  # First plugins should be used on all platforms
  foreach(_plugin ${default_plugins})
    if(TARGET ${_plugin})
      message(STATUS "${_plugin} will be included in the package")
      list(APPEND _qt_plugins ${_plugin})
    else()
      message(STATUS "${_plugin} is not a plugin for this system")
    endif()
  endforeach()

  # Qml plugins to install
  if(WIN32)
    set(_lib_prefix "")
  else()
    set(_lib_prefix "lib")
  endif()

  set(_qt_plugins2 "")
  # Seems to be everywhere
  list(APPEND _qt_plugins2 tls/${_lib_prefix}qopensslbackend)
  list(APPEND _qt_plugins2 multimedia/${_lib_prefix}ffmpegmediaplugin)

  if(ANDROID)
    list(APPEND _qt_plugins2 multimedia/${_lib_prefix}androidmediaplugin)
  elseif(WIN32)
    list(APPEND _qt_plugins2 multimedia/${_lib_prefix}windowsmediaplugin)
  elseif(APPLE)
    list(APPEND _qt_plugins2 multimedia/${_lib_prefix}darwinmediaplugin)
  endif()

   set(_qml_plugins
     QtQml/Models/${_lib_prefix}modelsplugin
     QtQml/WorkerScript/${_lib_prefix}workerscriptplugin
     QtCore/${_lib_prefix}qtqmlcoreplugin
     QtQuick/Controls/Basic/impl/${_lib_prefix}qtquickcontrols2basicstyleimplplugin
     QtQuick/Controls/Basic/${_lib_prefix}qtquickcontrols2basicstyleplugin
     QtQuick/Controls/impl/${_lib_prefix}qtquickcontrols2implplugin
     QtQuick/Effects/${_lib_prefix}effectsplugin
     QtQuick/Window/${_lib_prefix}quickwindowplugin
     QtQuick/Particles/${_lib_prefix}particlesplugin
     QtQuick/${_lib_prefix}qtquick2plugin
     QtQuick/Shapes/${_lib_prefix}qmlshapesplugin
     QtMultimedia/${_lib_prefix}quickmultimediaplugin
     QtSensors/${_lib_prefix}sensorsquickplugin
     QtCharts/${_lib_prefix}qtchartsqml2plugin)

  # TODO Double check for ubuntutouch, we may need qtquickcontrols2/templates2!
  if(NOT UBUNTUTOUCH)
    list(APPEND _qml_plugins
      QtQuick/Controls/${_lib_prefix}qtquickcontrols2plugin
      QtQuick/Templates/${_lib_prefix}qtquicktemplates2plugin
      QtQuick/Layouts/${_lib_prefix}qquicklayoutsplugin)
  endif()

  set(GCOMPRIS_OTHER_LIBS)

  if(APPLE)
    set(_app gcompris-qt.app)
    set(_qtconf_destdir ${_app}/Contents/Resources)
    set(_qt_plugins_destdir ${_app}/Contents/plugins)
    set(_qt_qml_destdir ${_app}/Contents/qml)
    set(GCOMPRIS_BUNDLE "\${CMAKE_INSTALL_PREFIX}/${_app}")
    set_target_properties(gcompris-qt PROPERTIES
      MACOSX_BUNDLE_INFO_STRING "GCompris, Educational game for children 2 to 10"
      MACOSX_BUNDLE_ICON_FILE "${gcompris_icon}"
      MACOSX_BUNDLE_GUI_IDENTIFIER "net.gcompris"
      MACOSX_BUNDLE_LONG_VERSION_STRING "${GCOMPRIS_MAJOR_VERSION}.${GCOMPRIS_MINOR_VERSION}.${GCOMPRIS_PATCH_VERSION}"
      MACOSX_BUNDLE_BUNDLE_NAME "gcompris-qt"
      MACOSX_BUNDLE_SHORT_VERSION_STRING "${GCOMPRIS_VERSION}"
      MACOSX_BUNDLE_BUNDLE_VERSION "${GCOMPRIS_VERSION}"
      MACOSX_BUNDLE_COPYRIGHT "AGPL-3.0 License, SPDX-FileCopyrightText: 2000-2022 Timothee Giet and Others.")
    set_source_files_properties(${GCOMPRIS_RESOURCES}/${gcompris_icon} PROPERTIES MACOSX_PACKAGE_LOCATION "Resources")
  else()
    set(_qtconf_destdir bin)
    set(_qt_plugins_destdir bin/plugins)
    set(_qt_qml_destdir bin/qml)
    if(CMAKE_HOST_WIN32)
      set(GCOMPRIS_BUNDLE "\${CMAKE_INSTALL_PREFIX}/bin/${GCOMPRIS_EXECUTABLE_NAME}.exe")
    else()
      set(GCOMPRIS_BUNDLE "\${CMAKE_INSTALL_PREFIX}/bin/${GCOMPRIS_EXECUTABLE_NAME}")
    endif()
  endif()

  # install qt.conf file
  install(FILES ${CMAKE_CURRENT_SOURCE_DIR}/qt.conf DESTINATION ${_qtconf_destdir})

  # install qt plugins
  foreach(_plugin ${_qt_plugins})
    installQtPlugin(${_plugin} ${_qt_plugins_destdir} _lib)
    list(APPEND GCOMPRIS_OTHER_LIBS ${_lib})
  endforeach()
  foreach(_plugin ${_qt_plugins2})
    if(APPLE)
      installQtPlugin2(${_plugin} ${_qt_plugins_destdir}/../Plugins _lib)
    else()
      installQtPlugin2(${_plugin} ${_qt_plugins_destdir} _lib)
    endif()
    list(APPEND GCOMPRIS_OTHER_LIBS ${_lib})
  endforeach()

  # install qml plugins
  foreach(_plugin ${_qml_plugins})
    installQmlPlugin(${_plugin} ${_qt_qml_destdir} _lib)
    list(APPEND GCOMPRIS_OTHER_LIBS ${_lib})
  endforeach()

  if(UNIX AND NOT APPLE AND NOT ANDROID)
    if(SHIP_SYSTEM_ICU)
      file(GLOB ICU_DATA_LIBRARY "${ICU_DATA_LIBRARY_RELEASE}.[0-9][0-9]")
      file(GLOB ICU_I18N_LIBRARY "${ICU_I18N_LIBRARY_RELEASE}.[0-9][0-9]")
      file(GLOB ICU_UC_LIBRARY "${ICU_UC_LIBRARY_RELEASE}.[0-9][0-9]")
      install(FILES "${ICU_DATA_LIBRARY}" DESTINATION bin)
      install(FILES "${ICU_DATA_LIBRARY}.1" DESTINATION bin)
      install(FILES "${ICU_I18N_LIBRARY}" DESTINATION bin)
      install(FILES "${ICU_I18N_LIBRARY}.1" DESTINATION bin)
      install(FILES "${ICU_UC_LIBRARY}" DESTINATION bin)
      install(FILES "${ICU_UC_LIBRARY}.1" DESTINATION bin)
      target_link_libraries(${GCOMPRIS_EXECUTABLE_NAME} ${ICU_LIBRARIES})
    endif()

    # package OpenSSL libs from system
    install(FILES "${OPENSSL_SSL_LIBRARY}" DESTINATION bin)
    install(FILES "${OPENSSL_CRYPTO_LIBRARY}" DESTINATION bin)
    install(FILES "${OPENSSL_SSL_LIBRARY}.3" DESTINATION bin)
    install(FILES "${OPENSSL_CRYPTO_LIBRARY}.3" DESTINATION bin)
    target_link_libraries(${GCOMPRIS_EXECUTABLE_NAME} OpenSSL::SSL OpenSSL::Crypto)
  endif()

  #Add OpenSSL support on Windows builds
  if(WIN32)
    if(MINGW)
      if(CMAKE_SIZEOF_VOID_P EQUAL 8)
        #64bit
        set(OPENSSL_DLL_SUFFIX "-x64")
      endif()
      install(FILES "${OPENSSL_ROOT_DIR}/bin/libcrypto-3${OPENSSL_DLL_SUFFIX}.dll" DESTINATION bin)
      install(FILES "${OPENSSL_ROOT_DIR}/bin/libssl-3${OPENSSL_DLL_SUFFIX}.dll" DESTINATION bin)
    endif()
    target_link_libraries(${GCOMPRIS_EXECUTABLE_NAME} OpenSSL::SSL OpenSSL::Crypto)
  endif()

endif()

# install fixup_bundle script to resolve and fixup runtime dependencies
if(BUILD_STANDALONE AND NOT ANDROID)
  # Specify the path to get the Qt libraries
  get_target_property(QtCore_location ${QT_MAJOR}::Core LOCATION)

=== src/activities/baby_mouse/CMakeLists.txt ===
#=============================================================================
# SPDX-FileCopyrightText: 2021 Mariam Fahmy <mariamfahmy66@gmail.com>
# SPDX-License-Identifier: BSD-2-Clause
#=============================================================================
GCOMPRIS_ADD_RESOURCE(activities/baby_mouse
  QML_FILES
  *.qml
  *.js
  RESOURCES
  *.svg
  resource/*.svg
)

=== src/activities/baby_tangram/CMakeLists.txt ===
#=============================================================================
# SPDX-FileCopyrightText: 2019 Johnny Jazeix <jazeix@gmail.com>
#
# SPDX-License-Identifier: BSD-2-Clause
#=============================================================================
GCOMPRIS_ADD_RESOURCE(activities/baby_tangram
  QML_FILES
  *.qml
  dataset.js
  RESOURCES
  *.svg
  resource/*/*.svg
)

=== src/activities/calcudoku/CMakeLists.txt ===
#=============================================================================
# SPDX-FileCopyrightText: 2023 Johnny Jazeix <jazeix@gmail.com>
# SPDX-License-Identifier: BSD-2-Clause
#=============================================================================
GCOMPRIS_ADD_RESOURCE(activities/calcudoku
  QML_FILES
  *.qml
  *.js
  resource/*/Data.qml
  RESOURCES
  *.svg
)

=== src/activities/checkers_2players/CMakeLists.txt ===
#=============================================================================
# SPDX-FileCopyrightText: 2017 Johnny Jazeix <jazeix@gmail.com>
#
# SPDX-License-Identifier: BSD-2-Clause
#=============================================================================
GCOMPRIS_ADD_RESOURCE(activities/checkers_2players
  QML_FILES
  *.qml
  RESOURCES
  *.svg
)

=== src/activities/chess_2players/CMakeLists.txt ===
#=============================================================================
# SPDX-FileCopyrightText: 2015 Bruno Coudoin <bruno.coudoin@gcompris.net>
#
# SPDX-License-Identifier: BSD-2-Clause
#=============================================================================
GCOMPRIS_ADD_RESOURCE(activities/chess_2players
  QML_FILES
  *.qml
  RESOURCES
  *.svg
)

=== src/activities/clickanddraw/CMakeLists.txt ===
#=============================================================================
# SPDX-FileCopyrightText: 2015 Emmanuel Charruau <echarruau@gmail.com>
#
# SPDX-License-Identifier: BSD-2-Clause
#=============================================================================
GCOMPRIS_ADD_RESOURCE(activities/clickanddraw
  QML_FILES
  *.qml
  *.js
  RESOURCES
  *.svg
)

=== src/activities/clockgame/CMakeLists.txt ===
#=============================================================================
# SPDX-FileCopyrightText: 2015 Stephane Mankowski <stephane@mankowski.fr>
#
# SPDX-License-Identifier: BSD-2-Clause
#=============================================================================
GCOMPRIS_ADD_RESOURCE(activities/clockgame
  QML_FILES
  *.qml
  *.js
  resource/*/Data.qml
  RESOURCES
  *.svg
  resource/*.svg
)

=== src/activities/color_mix_light/CMakeLists.txt ===
#=============================================================================
# SPDX-FileCopyrightText: 2015 Stephane Mankowski <stephane@mankowski.fr>
#
# SPDX-License-Identifier: BSD-2-Clause
#=============================================================================
GCOMPRIS_ADD_RESOURCE(activities/color_mix_light
  QML_FILES
  *.qml
  RESOURCES
  *.svg
)

=== src/activities/crane/CMakeLists.txt ===
#=============================================================================
# SPDX-FileCopyrightText: 2016 Stefan Toncu <stefan.toncu29@gmail.com>
#
# SPDX-License-Identifier: BSD-2-Clause
#=============================================================================
GCOMPRIS_ADD_RESOURCE(activities/crane
  QML_FILES
  *.qml
  *.js
  resource/*/Data.qml
  RESOURCES
  *.svg
  resource/*.svg
  resource/letters/*.svg
)

=== debian/changelog ===
gcompris-qt (25.0.12-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update the patches:
    - upstream_cmake-fix-variable-of-installation-directory-for-doc.patch:
      drop, backported from upstream

 -- Pino Toscano <pino@debian.org>  Sun, 16 Feb 2025 12:12:18 +0100

=== debian/control ===
Source: gcompris-qt
Section: education
Priority: optional
Maintainer: Debian Qt Extras Team <debian-qt-kde@lists.debian.org>
Uploaders: Simon Quigley <tsimonq2@debian.org>
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               extra-cmake-modules,
               libkf6doctools-dev,
               pkg-kde-tools,
               qt6-base-dev (>= 6.5.0~),
               qt6-base-private-dev (>= 6.5.0~),
               qt6-charts-dev (>= 6.5.0~),
               qt6-declarative-dev (>= 6.5.0~),
               qt6-declarative-private-dev (>= 6.5.0~),
               qt6-multimedia-dev (>= 6.5.0~),
               qt6-sensors-dev (>= 6.5.0~),
               qt6-svg-dev (>= 6.5.0~),
               qt6-tools-dev (>= 6.5.0~),
               qt6-wayland-dev (>= 6.5.0~) [linux-any],
               qt6-wayland-private-dev (>= 6.5.0~) [linux-any],
               xauth <!nocheck>,
               xvfb <!nocheck>,
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://gcompris.net/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/gcompris-qt
Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/gcompris-qt.git

Package: gcompris-qt
Architecture: any
Depends: gcompris-qt-data (= ${source:Version}),
         qml6-module-qtcharts,
         qml6-module-qtmultimedia,
         qml6-module-qtquick,
         qml6-module-qtquick-controls,
         qml6-module-qtquick-effects,
         qml6-module-qtquick-layouts,
         qml6-module-qtquick-particles,
         qml6-module-qtquick-shapes,
         qml6-module-qtquick-window,
         qml6-module-qtsensors,
         qt6-image-formats-plugins,
         qt6-svg-plugins,
         ${misc:Depends},
         ${shlibs:Depends}
Description: educational games for small children
 GCompris is a high quality educational software suite, including a large
 number of activities for children aged 2 to 10. Some of the activities
 are game orientated, but nonetheless still educational.

Package: gcompris-qt-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Recommends: gcompris-qt
Description: data files for gcompris-qt
 GCompris is a high quality educational software suite, including a large
 number of activities for children aged 2 to 10. Some of the activities
 are game orientated, but nonetheless still educational.
 .
 This package contains the data file for gcompris-qt.

## gcompris-qt 25.1

=== debian/changelog ===
gcompris-qt (25.1-0ubuntu1) questing; urgency=medium

  * New upstream release (25.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 21 May 2025 10:25:06 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: gcompris-qt
 Section: education
 Priority: optional
-Maintainer: Debian Qt Extras Team <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt Extras Team <debian-qt-kde@lists.debian.org>
 Uploaders: Simon Quigley <tsimonq2@debian.org>
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
@@ -24,8 +25,8 @@
 Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://gcompris.net/
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/gcompris-qt
-Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/gcompris-qt.git
+Vcs-Browser: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/gcompris-qt
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/gcompris-qt
 
 Package: gcompris-qt
 Architecture: any

## gcompris-qt 25.1.1

=== src/CMakeLists.txt ===
#=============================================================================
# SPDX-FileCopyrightText: 2014 Johnny Jazeix <jazeix@gmail.com>
#
# SPDX-License-Identifier: BSD-2-Clause
#=============================================================================
add_subdirectory(core)
add_subdirectory(activities)

=== src/core/CMakeLists.txt ===
--- 
+++ 
@@ -32,14 +32,12 @@
   Directory.h
   DownloadManager.cpp
   DownloadManager.h
-  GComprisPlugin.cpp
-  GComprisPlugin.h
   main.cpp
   config.h.in
   synth/ADSRenvelope.cpp
   synth/ADSRenvelope.h
-  synth/GSynth.cpp
-  synth/GSynth.h
+  GSynth.cpp
+  GSynth.h
   synth/linearSynthesis.cpp
   synth/linearSynthesis.h
   synth/modulation.cpp
@@ -51,6 +49,9 @@
   synth/waveform.cpp
   synth/waveform.h
 )
+if(WITH_RCC)
+  list(APPEND gcompris_SRCS GComprisPlugin.cpp GComprisPlugin.h)
+endif()
 
 if(ANDROID)
   list(APPEND gcompris_SRCS ApplicationAndroid.cpp)
@@ -132,7 +133,7 @@
   file(GLOB core_qml_files RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} *.qml *.js)
   file(GLOB core_resources_files RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} resource/*.${COMPRESSED_AUDIO} resource/*.gif resource/*.png resource/*.svg resource/*.pem resource/bonus/* resource/sounds/* resource/fonts/*.*)
 
-  set_source_files_properties(GCSingletonFontLoader.qml PROPERTIES
+  set_source_files_properties(GCSingletonFontLoader.qml GCStyle.qml PROPERTIES
     QT_QML_SINGLETON_TYPE TRUE
     )
   qt_add_qml_module(

=== tests/core/CMakeLists.txt ===
#=============================================================================
# SPDX-FileCopyrightText: 2018 Himanshu Vishwakarma <himvish997@gmail.com>
#
# SPDX-License-Identifier: BSD-2-Clause
#=============================================================================
find_package(${QT_MAJOR} REQUIRED COMPONENTS Test)

include_directories(${CMAKE_SOURCE_DIR} "${CMAKE_BINARY_DIR}/src/core/")

set(CORE_TEST_LIBRARIES
    gcompris_core
    ${QT_MAJOR}::Core
    ${QT_MAJOR}::Test
)

ecm_add_tests(ActivityInfoTest.cpp
              ApplicationSettingsTest.cpp
              DatasetTest.cpp
              DirectoryTest.cpp
              FileTest.cpp
              ApplicationInfoTest.cpp
              DownloadManagerTest.cpp
              # add new test file here
              NAME_PREFIX Core
              LINK_LIBRARIES ${CORE_TEST_LIBRARIES})

=== src/activities/adjacent_numbers/CMakeLists.txt ===
#=============================================================================
# SPDX-FileCopyrightText: 2023 Alexandre Laurent <littlewhite.dev@gmail.com>
# SPDX-License-Identifier: BSD-2-Clause
#=============================================================================
GCOMPRIS_ADD_RESOURCE(activities/adjacent_numbers
  QML_FILES
  *.qml
  *.js
  resource/*/Data.qml
  RESOURCES
  *.svg
)

=== src/activities/algebra_div/CMakeLists.txt ===
#=============================================================================
# SPDX-FileCopyrightText: 2015 Sayan Biswas <techsayan01@gmail.com>
#
# SPDX-License-Identifier: BSD-2-Clause
#=============================================================================
GCOMPRIS_ADD_RESOURCE(activities/algebra_div
  QML_FILES
  *.qml
  *.js
  resource/*/Data.qml
   RESOURCES
  *.svg
)

=== src/activities/algebra_minus/CMakeLists.txt ===
#=============================================================================
# SPDX-FileCopyrightText: 2015 Bruno Coudoin <bruno.coudoin@gcompris.net>
#
# SPDX-License-Identifier: BSD-2-Clause
#=============================================================================
GCOMPRIS_ADD_RESOURCE(activities/algebra_minus
  QML_FILES
  *.qml
  *.js
  resource/*/Data.qml
  RESOURCES
  *.svg
)

=== src/activities/algorithm/CMakeLists.txt ===
#=============================================================================
# SPDX-FileCopyrightText: 2015 Bharath M S <brat.197@gmail.com>
#
# SPDX-License-Identifier: BSD-2-Clause
#=============================================================================
GCOMPRIS_ADD_RESOURCE(activities/algorithm
  QML_FILES
    *.qml
    *.js
  RESOURCES
    *.svg
    resource/*.svg
)

=== src/activities/alphabet-sequence/CMakeLists.txt ===
#=============================================================================
# SPDX-FileCopyrightText: 2015 Bruno Coudoin <bruno.coudoin@gcompris.net>
#
# SPDX-License-Identifier: BSD-2-Clause
#=============================================================================
GCOMPRIS_ADD_RESOURCE(activities/alphabet-sequence
  QML_FILES
  *.qml
  RESOURCES
  *.svg
)

=== src/activities/analog_electricity/CMakeLists.txt ===
#=============================================================================
# SPDX-FileCopyrightText: 2020 Aiswarya Kaitheri Kandoth <aiswaryakk29@gmail.com>
#
# SPDX-License-Identifier: BSD-2-Clause
#=============================================================================
GCOMPRIS_ADD_RESOURCE(activities/analog_electricity
  QML_FILES
  *.qml
  *.js
  components/*.qml
  RESOURCES
  *.svg
  resource/*.svg
)

=== src/activities/baby_keyboard/CMakeLists.txt ===
#=============================================================================
# SPDX-FileCopyrightText: 2020 Timothée Giet <animtim@gmail.com>
#
# SPDX-License-Identifier: BSD-2-Clause
#=============================================================================
GCOMPRIS_ADD_RESOURCE(activities/baby_keyboard
  QML_FILES
  *.qml
  *.js
  RESOURCES
  *.svg
)

=== src/activities/baby_wordprocessor/CMakeLists.txt ===
#=============================================================================
# SPDX-FileCopyrightText: 2015 Bruno Coudoin <bruno.coudoin@gcompris.net>
#
# SPDX-License-Identifier: BSD-2-Clause
#=============================================================================
GCOMPRIS_ADD_RESOURCE(activities/baby_wordprocessor
  QML_FILES
  *.qml
  *.js
  RESOURCES
  *.svg
)

=== src/activities/babymatch/CMakeLists.txt ===
#=============================================================================
# SPDX-FileCopyrightText: 2015 Pulkit Gupta <pulkitgenius@gmail.com>
#
# SPDX-License-Identifier: BSD-2-Clause
#=============================================================================
GCOMPRIS_ADD_RESOURCE(activities/babymatch
  QML_FILES
  *.qml
  *.js
  resource/board/*.qml
  RESOURCES
  *.svg
  resource/*.svg
  resource/images/*.svg
)

=== debian/changelog ===
gcompris-qt (25.1.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update the patches:
    - disable-openssl.diff: refresh
  * Bump Standards-Version to 4.7.2, no changes required.

 -- Pino Toscano <pino@debian.org>  Sun, 10 Aug 2025 17:31:03 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: gcompris-qt
 Section: education
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt Extras Team <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt Extras Team <debian-qt-kde@lists.debian.org>
 Uploaders: Simon Quigley <tsimonq2@debian.org>
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
@@ -22,11 +21,11 @@
                qt6-wayland-private-dev (>= 6.5.0~) [linux-any],
                xauth <!nocheck>,
                xvfb <!nocheck>,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://gcompris.net/
-Vcs-Browser: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/gcompris-qt
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/gcompris-qt
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/gcompris-qt
+Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/gcompris-qt.git
 
 Package: gcompris-qt
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE = 1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --with kf6

override_dh_auto_configure:
	dh_auto_configure -Skf6 -- -DCMAKE_INSTALL_BINDIR=/usr/games -DQML_BOX2D_MODULE=disabled -DBUILD_TESTING=ON -DCOMPILE_DOC=ON

override_dh_auto_test:
	xvfb-run -a dh_auto_test

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.sig/ https://gcompris.net/download/qt/src/gcompris-qt-([\d.]+).tar.xz

## gcompris-qt 25.1.1+p24.04+vstable+git20251001.1108

=== debian/changelog ===
gcompris-qt (25.1.1+p24.04+vstable+git20251001.1108-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 01 Oct 2025 11:09:09 +0000

gcompris-qt (25.1.1-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Tue, 08 Jul 2025 10:24:46 +1000

gcompris-qt (25.0.12-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Tue, 18 Mar 2025 10:48:35 +1000

gcompris-qt (4.2-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Wed, 06 Nov 2024 11:15:34 +1000

gcompris-qt (4.1-0neon) noble; urgency=medium

  [ Jonathan Riddell ]
  * new release

  [ Carlos De Maine ]
  * New release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Fri, 21 Jun 2024 16:58:45 +1000

gcompris-qt (0.97.1-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 01 Jul 2020 22:17:12 +0000

## gcompris-qt 25.1.1+p24.04+vstable+git20251005.0127

=== debian/changelog ===
gcompris-qt (25.1.1+p24.04+vstable+git20251005.0127-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 05 Oct 2025 01:27:58 +0000

## gcompris-qt 25.1.1+p24.04+vstable+git20251015.0934

=== external/qml-box2d/CMakeLists.txt ===
#
# CMakeLists.txt
# Copyright (c) 2019 Serein Pfeiffer <serein.pfeiffer@gmail.com>
#
# This file is part of the Box2D QML plugin.
#
# This software is provided 'as-is', without any express or implied warranty.
# In no event will the authors be held liable for any damages arising from
# the use of this software.
#
# Permission is granted to anyone to use this software for any purpose,
# including commercial applications, and to alter it and redistribute it
# freely, subject to the following restrictions:
#
# 1. The origin of this software must not be misrepresented; you must not
#    claim that you wrote the original software. If you use this software in
#    a product, an acknowledgment in the product documentation would be
#    appreciated but is not required.
# 2. Altered source versions must be plainly marked as such, and must not be
#    misrepresented as being the original software.
# 3. This notice may not be removed or altered from any source distribution.
#
cmake_minimum_required(VERSION 3.9 FATAL_ERROR)
project(qmlbox2d)

set(CMAKE_ARCHIVE_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/lib)
set(CMAKE_LIBRARY_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/lib)
set(CMAKE_RUNTIME_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/bin)
set(QMLBOX2D_PLUGIN_BASE_DIR ${CMAKE_BINARY_DIR}/bin/plugins)

set(CMAKE_AUTOMOC ON)
set(CMAKE_INCLUDE_CURRENT_DIR ON)

set(QML_BOX2D_LIBRARY_NAME "${PROJECT_NAME}")

include(CheckIPOSupported)
check_ipo_supported(RESULT ipoSupported)

option(USE_QT6 "Use Qt6 by default, else use Qt5" ON)
option(USE_SYSTEM_BOX2D "Use system box2d if compatible" OFF)
option(BUILD_EXAMPLES "Build the examples" ON)
option(BUILD_SHARED_LIBS "Build qml-box2d as a shared lib" ON)

set(QT_MAJOR_VERSION Qt6)

if(USE_QT6)
  find_package(Qt6 6.2 COMPONENTS Quick Core Qml)
endif()

if(Qt6_FOUND)
  # Set Qt policy, introduced in Qt6.5
  if(QT_KNOWN_POLICY_QTP0001)
    qt6_policy(SET QTP0001 NEW)
  endif()
else()
    find_package(Qt5 5.12 COMPONENTS Quick Core Qml REQUIRED)
    set(QT_MAJOR_VERSION Qt5)
endif()

message(STATUS "Using ${QT_MAJOR_VERSION}")

if(BUILD_SHARED_LIBS)
  set(QML_PLUGIN_LINK_TYPE SHARED)
else()
  set(QML_PLUGIN_LINK_TYPE STATIC)
endif()

set(QML_BOX2D_SOURCES
    box2dbody.cpp
    box2dbody.h
    box2dcontact.cpp
    box2dcontact.h
    box2ddebugdraw.cpp
    box2ddebugdraw.h
    box2ddistancejoint.cpp
    box2ddistancejoint.h
    box2dfixture.cpp
    box2dfixture.h
    box2dfrictionjoint.cpp
    box2dfrictionjoint.h
    box2dgearjoint.cpp
    box2dgearjoint.h
    box2djoint.cpp
    box2djoint.h
    box2dmotorjoint.cpp
    box2dmotorjoint.h
    box2dmousejoint.cpp
    box2dmousejoint.h
    box2dplugin.cpp
    box2dplugin.h
    box2dprismaticjoint.cpp
    box2dprismaticjoint.h
    box2dpulleyjoint.cpp
    box2dpulleyjoint.h
    box2draycast.cpp
    box2draycast.h
    box2drevolutejoint.cpp
    box2drevolutejoint.h
    box2dropejoint.cpp
    box2dropejoint.h
    box2dweldjoint.cpp
    box2dweldjoint.h
    box2dwheeljoint.cpp
    box2dwheeljoint.h
    box2dworld.cpp
    box2dworld.h
    qmldir
)

add_library(${QML_BOX2D_LIBRARY_NAME} ${QML_PLUGIN_LINK_TYPE}
  ${QML_BOX2D_SOURCES}
)

if(ipoSupported)
  set_property(TARGET ${QML_BOX2D_LIBRARY_NAME} PROPERTY INTERPROCEDURAL_OPTIMIZATION TRUE)
endif()

set_target_properties(${QML_BOX2D_LIBRARY_NAME} PROPERTIES CXX_VISIBILITY_PRESET hidden)

set(PLUGIN_DEST_DIR "${QMLBOX2D_PLUGIN_BASE_DIR}/Box2D")
set_target_properties(
${QML_BOX2D_LIBRARY_NAME}
PROPERTIES
    CXX_STANDARD 11
    CXX_STANDARD_REQUIRED ON
    CXX_EXTENSIONS NO
    ARCHIVE_OUTPUT_DIRECTORY "${PLUGIN_DEST_DIR}"
    LIBRARY_OUTPUT_DIRECTORY "${PLUGIN_DEST_DIR}"
    RUNTIME_OUTPUT_DIRECTORY "${PLUGIN_DEST_DIR}"
)

target_include_directories(${QML_BOX2D_LIBRARY_NAME} PUBLIC ${CMAKE_CURRENT_SOURCE_DIR})

target_compile_definitions(${QML_BOX2D_LIBRARY_NAME}
PRIVATE
    $<$<STREQUAL:${QML_PLUGIN_LINK_TYPE},STATIC>:QT_STATICPLUGIN>
)

if(MINGW)
  # Remove lib prefix when compiling with mingw on Windows to have the same library name as in qmldir
  set_target_properties(${QML_BOX2D_LIBRARY_NAME} PROPERTIES PREFIX "")
endif()

target_link_libraries(${QML_BOX2D_LIBRARY_NAME}
PRIVATE
    ${QT_MAJOR_VERSION}::Core
    ${QT_MAJOR_VERSION}::Quick
    ${QT_MAJOR_VERSION}::Qml
PUBLIC
    Box2D
)

if(NOT Qt6_FOUND)
  add_custom_command(TARGET ${QML_BOX2D_LIBRARY_NAME} POST_BUILD
    COMMAND ${CMAKE_COMMAND} -E copy
    ${CMAKE_CURRENT_SOURCE_DIR}/qmldir
    $<TARGET_FILE_DIR:${QML_BOX2D_LIBRARY_NAME}>/qmldir
  )
endif()

if(Qt6_FOUND)
    set_target_properties(${QML_BOX2D_LIBRARY_NAME} PROPERTIES
        QT_QML_MODULE_VERSION 2.0
        QT_QML_MODULE_URI     Box2D
    )
    qt_add_qml_module(${QML_BOX2D_LIBRARY_NAME}
      URI Box2D
      VERSION 2.0
      PLUGIN_TARGET ${QML_BOX2D_LIBRARY_NAME}
      OUTPUT_DIRECTORY "${PLUGIN_DEST_DIR}"
      NO_GENERATE_PLUGIN_SOURCE
    )
endif()

if(USE_SYSTEM_BOX2D)
  find_package(Box2D REQUIRED)
  if(NOT BOX2D_FOUND)
    message(ERROR "System box2d not found")
  endif()
  target_include_directories(${QML_BOX2D_LIBRARY_NAME} PUBLIC ${BOX2D_INCLUDE_DIR} ${BOX2D_INCLUDE_DIR}/Box2D)
endif()

if(NOT USE_SYSTEM_BOX2D)
  add_subdirectory(Box2D)
endif()

if(BUILD_EXAMPLES)
    add_subdirectory(examples)
endif()

include(GNUInstallDirs)

install(
  TARGETS qmlbox2d
  DESTINATION "${CMAKE_INSTALL_LIBDIR}/Box2D"
)
install(
  FILES qmldir
  DESTINATION "${CMAKE_INSTALL_LIBDIR}/Box2D"
)

=== external/qml-box2d/examples/CMakeLists.txt ===
#
# examples/CMakeLists.txt
# Copyright (c) 2019 Serein Pfeiffer <serein.pfeiffer@gmail.com>
#
# This file is part of the Box2D QML plugin.
#
# This software is provided 'as-is', without any express or implied warranty.
# In no event will the authors be held liable for any damages arising from
# the use of this software.
#
# Permission is granted to anyone to use this software for any purpose,
# including commercial applications, and to alter it and redistribute it
# freely, subject to the following restrictions:
#
# 1. The origin of this software must not be misrepresented; you must not
#    claim that you wrote the original software. If you use this software in
#    a product, an acknowledgment in the product documentation would be
#    appreciated but is not required.
# 2. Altered source versions must be plainly marked as such, and must not be
#    misrepresented as being the original software.
# 3. This notice may not be removed or altered from any source distribution.
#
set(CMAKE_INCLUDE_CURRENT_DIR ON)
set(CMAKE_AUTORCC ON)

if(Qt6_FOUND)
  find_package(Qt6 6.2 COMPONENTS Widgets REQUIRED)
else()
  find_package(Qt5 5.12 COMPONENTS Widgets REQUIRED)
endif()

add_executable(box2qml-examples
    main.cpp
    example.qrc

    accelerometer/WoodenBox.qml
    accelerometer/accelerometer.qml

    angletracking/Line.qml
    angletracking/angleTracking.qml

    boxes/Wall.qml
    boxes/WoodenBox.qml
    boxes/boxes.qml

    cannon/Wall.qml
    cannon/main.qml

    contacts/Wall.qml
    contacts/main.qml

    demolition/Building.qml
    demolition/Wall.qml
    demolition/WoodenBox.qml
    demolition/demolition.qml

    distance/Ball.qml
    distance/Square.qml
    distance/distance.qml

    filtering/filtering.qml

    fixtures/Wall.qml
    fixtures/main.qml

    friction/Wall.qml
    friction/main.qml

    gear/Wall.qml
    gear/main.qml

    impulse/Ball.qml
    impulse/impulse.qml

    monera/SpeciesInfo.qml
    monera/SpeciesModel.qml
    monera/monera.qml

    motorjoint/boat.qml

    mouse/Wall.qml
    mouse/main.qml

    movingBox/MovableBox.qml
    movingBox/Wall.qml
    movingBox/WoodenBox.qml
    movingBox/movingBox.qml

    polygons/Trapezoid.qml
    polygons/polygons.qml
    
    prismatic/Square.qml
    prismatic/prismatic.qml

    pulley/Wall.qml
    pulley/main.qml

    raycast/Wall.qml
    raycast/main.qml

    revolute/revolute.qml

    revoluteplotangle/Revolute.qml
    revoluteplotangle/revolutePlotAngle.qml

    rope/Wall.qml
    rope/main.qml

    shared/BoxBody.qml
    shared/ChainBody.qml
    shared/CircleBody.qml
    shared/EdgeBody.qml
    shared/ImageBoxBody.qml
    shared/PhysicsItem.qml
    shared/PolygonBody.qml
    shared/RectangleBoxBody.qml
    shared/ScreenBoundaries.qml

    ui.qml

    weld/Wall.qml
    weld/main.qml

    wheel/Wall.qml
    wheel/main.qml
)

set_target_properties(box2qml-examples PROPERTIES
    CXX_STANDARD 11
    CXX_STANDARD_REQUIRED ON
    CXX_EXTENSIONS NO
    )

target_include_directories(box2qml-examples PUBLIC ..)

target_link_libraries(box2qml-examples
PRIVATE
    ${QT_MAJOR_VERSION}::Core
    ${QT_MAJOR_VERSION}::Quick
    ${QT_MAJOR_VERSION}::Widgets
    ${QT_MAJOR_VERSION}::Qml
PUBLIC
    qmlbox2d
)

=== src/activities/explore_farm_animals/CMakeLists.txt ===
#=============================================================================
# SPDX-FileCopyrightText: 2015 Djalil Mesli <djalilmesli@gmail.com>
#
# SPDX-License-Identifier: BSD-2-Clause
#=============================================================================
GCOMPRIS_ADD_RESOURCE(activities/explore_farm_animals
  QML_FILES
  *.qml
  *.js
  resource/board/*.qml
  RESOURCES
  *.svg
  resource/animals/*.webp
  resource/animals/*.svg
  resource/animals/*.${COMPRESSED_AUDIO}

)

=== src/activities/learn_subtractions/CMakeLists.txt ===
#=============================================================================
# SPDX-FileCopyrightText: 2020 Timothée Giet <animtim@gmail.com>
#
# SPDX-License-Identifier: BSD-2-Clause
#=============================================================================
GCOMPRIS_ADD_RESOURCE(activities/learn_subtractions
  QML_FILES
  *.qml
  resource/*/Data.qml
  RESOURCES
  *.svg
)

=== src/activities/memory-sound-tux/CMakeLists.txt ===
#=============================================================================
# SPDX-FileCopyrightText: 2015 Bruno Coudoin <bruno.coudoin@gcompris.net>
#
# SPDX-License-Identifier: BSD-2-Clause
#=============================================================================
GCOMPRIS_ADD_RESOURCE(activities/memory-sound-tux
  QML_FILES
  *.qml
  RESOURCES
  *.svg
)

=== src/activities/smallnumbers2/CMakeLists.txt ===
#=============================================================================
# SPDX-FileCopyrightText: 2015 Bruno Coudoin <bruno.coudoin@gcompris.net>
#
# SPDX-License-Identifier: BSD-2-Clause
#=============================================================================
GCOMPRIS_ADD_RESOURCE(activities/smallnumbers2
  QML_FILES
  *.qml
  *.js
  resource/*/Data.qml
  RESOURCES
  *.svg
  resource/*.svg
  resource/*.json
  DEPENDENCIES
  gletters
)

=== src/activities/tangram/CMakeLists.txt ===
#=============================================================================
# SPDX-FileCopyrightText: 2016 Bruno Coudoin <bruno.coudoin@gcompris.net>
#
# SPDX-License-Identifier: BSD-2-Clause
#=============================================================================
GCOMPRIS_ADD_RESOURCE(activities/tangram
  QML_FILES
  *.qml
  dataset.js
  tangram.js
  RESOURCES
  *.svg
  resource/m-tangram/*.svg
  resource/tangram/*.svg
)

=== debian/changelog ===
gcompris-qt (25.1.1+p24.04+vstable+git20251015.0934-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 09:35:03 +0000

=== debian/control ===
Source: gcompris-qt
Section: education
Priority: optional
Uploaders: Simon Quigley <tsimonq2@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               kf6-extra-cmake-modules,
               kf6-kdoctools-dev,
               kf6-ki18n-dev,
               libkchart6-dev,
               pkg-kde-tools-neon,
               qml6-module-box2d,
               qt6-5compat-dev,
               qt6-charts-dev,
               qt6-declarative-dev,
               qt6-multimedia-dev,
               qt6-sensors-dev,
               qt6-svg-dev,
               qt6-tools-dev,
               qt6-wayland-dev
Standards-Version: 4.6.2
Homepage: https://gcompris.net/
Vcs-Git: https://invent.kde.org/neon/extras/gcompris-qt.git
Vcs-Browser: https://invent.kde.org/neon/extras/gcompris-qt
Maintainer: Neon CI <neon@kde.org>

Package: gcompris-qt
Architecture: any
Depends: gcompris-qt-data (= ${source:Version}),
         qml6-module-box2d,
         qt6-charts,
         qt6-declarative,
         qt6-imageformats,
         qt6-multimedia,
         ${misc:Depends},
         ${shlibs:Depends}
Description: educational games for small children
 GCompris is a high quality educational software suite, including a large
 number of activities for children aged 2 to 10. Some of the activities
 are game orientated, but nonetheless still educational.

Package: gcompris-qt-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Recommends: gcompris-qt
Description: data files for gcompris-qt
 GCompris is a high quality educational software suite, including a large
 number of activities for children aged 2 to 10. Some of the activities
 are game orientated, but nonetheless still educational.
 .
 This package contains the data file for gcompris-qt.

Package: gcompris
Architecture: all
Section: oldlibs
Depends: gcompris-qt (>= ${source:Version}), ${misc:Depends}
Description: transitional package for gcompris-qt
 GCompris is a high quality educational software suite, including a large
 number of activities for children aged 2 to 10. Some of the activities
 are game orientated, but nonetheless still educational.
 .
 This is a transitional package that depends on the new series of GCompris
 releases (rewritten using Qt). It can be safely removed once gcompris-qt is
 installed.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE = 1
DPKG_EXPORT_BUILDFLAGS = 1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

include /usr/share/dpkg/pkg-info.mk

%:
	dh $@ --with kf6 --buildsystem kf6

override_dh_auto_configure:
	dh_auto_configure -- -DKDE_INSTALL_BINDIR=/usr/games/ \
						 -DCOMPILE_DOC=ON \
    					 -DQML_BOX2D_LIBRARY=/usr/lib/${DEB_BUILD_MULTIARCH}/Box2D/qmldir

# Use an epoch for the transitional gcompris package, because of the break in
# numbering scheme introduced by the Qt rewrite
override_dh_gencontrol:
	dh_gencontrol -pgcompris -- -v1:$(DEB_VERSION)
	dh_gencontrol --remaining-packages

#override_dh_auto_clean:
#	dh_auto_clean
#	find src -name '*.qrc' -delete
#	rm -f src/activities/activities_out.txt
